#Based on dse-schedule and the inventory script
define m = Character('Mother', kind=adv, color="#f6dfb3")
define a = Character('Anne Brown', kind=adv, color="#f6b3f6")
define h = Character('Dr Hughes', kind=adv, color="#b3f6de")
define s = Character('Shopkeeper', kind=adv, color="#f6b3b3")

#This code defines the variables that will be used in the rest of the game.
$ money = 30

init python:
    register_stat("Wedding Preparedness", "prep", 10, 100)
    register_stat("Charisma", "charisma", 10, 100)
    register_stat("Dedication","dedication", 10, 100)
    register_stat("Intelligence", "intelligence", 10, 100)
    register_stat("Handiness", "handiness", 10, 100)
    register_stat("Physicality", "physicality", 10, 100)
    register_stat("Relaxation", "relaxation", hidden=True)

    dp_period("Morning", "morning_act")
    dp_choice("Work Early", "work")
    dp_choice("Talk to Mother", "tmother")
    
    dp_period("Afternoon", "afternoon_act")
    dp_choice("Shop", "shop")
    #dp_choice("Visit Farris", "tfarris", show ="fnightinvite == False")
    dp_choice("Visit Virgil", "tvirgil")
    dp_choice("Visit Anne", "tanne")

    dp_period("Evening", "evening_act")
    dp_choice("Talk to Mother", "tmother")
    dp_choice("Sew", "sew")
    dp_choice("Read", "read")
    #dp_choice("Visit Farris", "tfarris_eve", show ="fnightinvite == True")

# This is the label that is jumped to at the start of a day.
label day:

    # Increment the day it is.
    $ day += 1

    # We may also want to compute the name for the day here, but
    # right now we don't bother.

    "It's day %(day)d."

    # Here, we want to set up some of the default values for the
    # day planner. In a more complicated game, we would probably
    # want to add and remove choices from the dp_ variables
    # (especially dp_period_acts) to reflect the choices the
    # user has available.

    $ morning_act = None
    $ afternoon_act = None
    $ evening_act = None
    $ narrator("What should I do today?", interact=False)
    #window show
    

    # Now, we call the day planner, which may set the act variables
    # to new values. We call it with a list of periods that we want
    # to compute the values for.
    #call screen (["Morning", "Afternoon", "Evening"])
    #window auto
    
    # We process each of the three periods of the day, in turn.
label morning2:

    # Tell the user what period it is.
    centered "Morning"

    # Set these variables to appropriate values, so they can be
    # picked up by the expression in the various events defined below. 
    $ period = "morning"
    $ act = morning_act
    
    # Execute the events for the morning.
    call events_run_period

    # That's it for the morning, so we fall through to the
    # afternoon.

label afternoon2:

    # It's possible that we will be skipping the afternoon, if one
    # of the events in the morning jumped to skip_next_period. If
    # so, we should skip the afternoon.
    if check_skip_period():
        jump evening

    # The rest of this is the same as for the morning.

    centered "Afternoon"

    $ period = "afternoon"
    $ act = afternoon_act

    call events_run_period


label evening2:
    
    # The evening is the same as the afternoon.
    if check_skip_period():
        jump night

    centered "Evening"

    $ period = "evening"
    $ act = evening_act
    
    call events_run_period


label night2:

    # This is now the end of the day, and not a period in which
    # events can be run. We put some boilerplate end-of-day text
    # in here.

    centered "Night"

    "It's getting late, so I decide to go to sleep."

    # We call events_end_day to let it know that the day is done.
    call events_end_day

    # And we jump back to day to start the next day. This goes
    # on forever, until an event ends the game.
    jump day
         

